﻿//==========================================================
// 
// File: SquareSum.cs           
// 
// -------------------- 
// This program demonstrates the definition of a method
// which calculates and return the sqyare of a sum
//
//==========================================================
using System;

class SquareOfSumClass
{
    static void Main(string[] args)
    {
        int res = SquareOfSum(1, 2);
        // call the method with two numbers
        Console.WriteLine("SquareSum(1, 2) = " + res);
        Console.WriteLine("SquareSum(1, 2) = {0}", res);
        Console.WriteLine("SquareSum(1, 2) = " + SquareOfSum(1, 2));

        int x = 2, y = 3;
        // call the method with two variables
        Console.WriteLine("SquareSum({0}, {1}) = {2}", x, y, SquareOfSum(x, y));
        Console.WriteLine("SquareSum(" + x + ", " + y + ") = " + SquareOfSum(x, y));

        // save the result of the method
        res = SquareOfSum(x, 2);
        Console.WriteLine("SquareSum({0}, {1}) = {2}",
                           x, 2, res);
        Console.WriteLine("SquareSum(" + x + ", 2) = " + res);

        Console.ReadKey();
    }

    // define a method that takes two parameters and return the 
    // square of their sum
    static int SquareOfSum(int num1, int num2)
    {
        int sum = num1 + num2;
        return sum * sum;
    }
}