﻿//==========================================================
// 
// File: RandomNumbers.cs     
// 
// -------------------- 
// This program demonstrates  the creation of pseudo-
//  random numbers using the Random class.
//
//==========================================================
using System;

class RandomNumbers
{
    static void Main(string[] args)
    {
        Random rndGenerator = new Random(); // instantiate a Random object

        int intNum;
        double doubleNum;

        intNum = rndGenerator.Next();
        Console.WriteLine("A random integer: " + intNum);

        intNum = rndGenerator.Next(10);
        Console.WriteLine("From 0 to 9: " + intNum);

        intNum = rndGenerator.Next(10) + 1;
        Console.WriteLine("From 1 to 10: " + intNum);

        intNum = rndGenerator.Next(15) + 20;
        Console.WriteLine("From 20 to 34: " + intNum);

        intNum = rndGenerator.Next(20) - 10;
        Console.WriteLine("From -10 to 9: " + intNum);

        intNum = rndGenerator.Next(50, 60);
        Console.WriteLine("From 50 to 59: " + intNum);

        doubleNum = rndGenerator.NextDouble();
        Console.WriteLine("A random double [between 0-1]: " + doubleNum);

        Console.ReadKey();
    } // end of method Main

} // end of class RandomNumbers
